<?php
namespace App\Transformers;
/**
 * Created by PhpStorm.
 * User: durong
 * Date: 2019/6/15
 * Time: 下午4:32
 */

use App\Models\Floor;
use League\Fractal\TransformerAbstract;

class FloorTransformer extends TransformerAbstract
{

    public function transform(Floor $floor)
    {
        $showType = [
            0 => 'banner',
            1 => 'user',
            2 => 'video',
            3 => 'topic',
        ];
        return [
            'floor_location'    => $floor['floor_location'],
            'group_ids'    => $floor['group_ids'],
            'show_type'    => $showType[$floor['floor_type']],
        ];
    }
}